Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.databinding
Class AbstractWrapperHelper

    java.lang.Object
      org.apache.cxf.databinding.AbstractWrapperHelper

All Implemented Interfaces:
  WrapperHelper

    public abstract class AbstractWrapperHelper

extends java.lang.Object
implements WrapperHelper

This wrapper helper will use reflection to handle the wrapped message

Field Summary
`protected java.lang.reflect.Field[]` | `fields`
`protected java.lang.reflect.Method[]` | `getMethods`
`static java.lang.Class[]` | `NO_CLASSES`
`static java.lang.Object[]` | `NO_PARAMS`
`protected java.lang.reflect.Method[]` | `setMethods`
`protected java.lang.Class<?>` | `wrapperType`

Constructor Summary
`protected` | `AbstractWrapperHelper(java.lang.Class<?> wt, java.lang.reflect.Method[] sets, java.lang.reflect.Method[] gets, java.lang.reflect.Field[] f)`

Method Summary
`protected abstract java.lang.Object` | `createWrapperObject(java.lang.Class typeClass)`
`java.lang.Object` | `createWrapperObject(java.util.List<?> lst)`
`protected java.lang.Object` | `getPartObject(int index, java.lang.Object object)`
`java.lang.String` | `getSignature()`
`protected java.lang.Object` | `getValue(java.lang.reflect.Method method, java.lang.Object in)`
`protected abstract java.lang.Object` | `getWrapperObject(java.lang.Object object)`
`java.util.List<java.lang.Object>` | `getWrapperParts(java.lang.Object o)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NO_CLASSES

    public static final java.lang.Class[] NO_CLASSES

### NO_PARAMS

    public static final java.lang.Object[] NO_PARAMS

### wrapperType

    protected final java.lang.Class<?> wrapperType

### setMethods

    protected final java.lang.reflect.Method[] setMethods

### getMethods

    protected final java.lang.reflect.Method[] getMethods

### fields

    protected final java.lang.reflect.Field[] fields

Constructor Detail

### AbstractWrapperHelper

    protected AbstractWrapperHelper(java.lang.Class<?> wt,
                                    java.lang.reflect.Method[] sets,
                                    java.lang.reflect.Method[] gets,
                                    java.lang.reflect.Field[] f)

Method Detail

### getSignature

    public java.lang.String getSignature()

  Specified by:
    `getSignature` in interface `WrapperHelper`

### createWrapperObject

    protected abstract java.lang.Object createWrapperObject(java.lang.Class typeClass)
                                                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getWrapperObject

    protected abstract java.lang.Object getWrapperObject(java.lang.Object object)
                                                  throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getPartObject

    protected java.lang.Object getPartObject(int index,
                                             java.lang.Object object)
                                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getValue

    protected java.lang.Object getValue(java.lang.reflect.Method method,
                                        java.lang.Object in)
                                 throws java.lang.IllegalAccessException,
                                        java.lang.reflect.InvocationTargetException

  Throws:
    `java.lang.IllegalAccessException`
    `java.lang.reflect.InvocationTargetException`

### createWrapperObject

    public java.lang.Object createWrapperObject(java.util.List<?> lst)
                                         throws Fault

  Specified by:
    `createWrapperObject` in interface `WrapperHelper`
  Throws:
    `Fault`

### getWrapperParts

    public java.util.List<java.lang.Object> getWrapperParts(java.lang.Object o)
                                                     throws Fault

  Specified by:
    `getWrapperParts` in interface `WrapperHelper`
  Throws:
    `Fault`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF